<?php

/***************************************************************************************
 *                                                                                     *
 * This file is part of the XPertMailer package (http://xpertmailer.sourceforge.net/)  *
 *                                                                                     *
 * XPertMailer is free software; you can redistribute it and/or modify it under the    *
 * terms of the GNU General Public License as published by the Free Software           *
 * Foundation; either version 2 of the License, or (at your option) any later version. *
 *                                                                                     *
 * XPertMailer is distributed in the hope that it will be useful, but WITHOUT ANY      *
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A     *
 * PARTICULAR PURPOSE.  See the GNU General Public License for more details.           *
 *                                                                                     *
 * You should have received a copy of the GNU General Public License along with        *
 * XPertMailer; if not, write to the Free Software Foundation, Inc., 51 Franklin St,   *
 * Fifth Floor, Boston, MA  02110-1301  USA                                            *
 *                                                                                     *
 * XPertMailer php functions class. Sends e-mail message in MIME type format.          *
 * Copyright (C) 2006  Tanase Laurentiu Iulian                                         *
 *                                                                                     *
 ***************************************************************************************/

set_time_limit(0);
error_reporting(E_ALL);

require_once '../XPertMailer.php';

/**
 * send a mail - text/html format
 * --------------------------------------
 */

$mail = new XPertMailer;

// set from mail address and name (company)
$mail->from('my@account.com', 'My Name');

// text version
$text = 'This is a HTML mail.'.CRLF.'You need a mail client that can read HTML e-mail messages in order to read this message.';

// HTML version
$html = '<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0 Transitional//EN\">
<html>
<body>
This is a <b><u><i><font color="red">text/html</font></i></u></b> message format.
</body>
</html>';

// send the e-mail :-)
$send = $mail->send('expertphp@example.com', 'subject here', $text, $html);

// compare the result and print a message
echo $send ? "Done." : "Error.";

// some useful for debugging
echo "<br>Server response: ".$mail->response;

?>